Subject: Re: [Fwd: I-D Action: draft-carpenter-prismatic-reflections-00.txt]

From: [email-masked] (Noel Chiappa)
Date: Sun, 22 Sep 2013 07:02:32 -0400 (EDT)

> From: Dave Crocker <[email-masked]>

    > Except that essentially all services other than email have gained
    > popularity in centralized form, including IM. So there appear to be
    > some important and difficult operational and usability barriers,
    > standing in the way of more truly distributed applications.

Yes. $$$. Nobody makes much/any money off email because it is so
de-centralized. People who build wonderful new applications build them in a
centralized way so that they can control them. And they want to control them
so that they can monetize them.

	Noel

---

From: John C Klensin <[email-masked]>
Date: Sun, 22 Sep 2013 09:02:37 -0400

--On Sunday, 22 September, 2013 07:02 -0400 Noel Chiappa
<[email-masked]> wrote:

>...
> Yes. $$$. Nobody makes much/any money off email because it is
> so de-centralized. People who build wonderful new applications
> build them in a centralized way so that they can control them.
> And they want to control them so that they can monetize them.

That is even true of the large email providers who are happy to
provide "free" email in return for being able leverage their
other products and/or "sell" the users and user base to
advertisers.

And people, including, I've noticed, a lot of IETF participants,
go along.  Email is, in practice, a lot more centralized than it
was ten or 15 years ago and is at risk of getting more, not only
as more users migrate but as those providers decide it is easier
to trust only each other.  With DKIM, increasing use of
blacklists, and other things, the latter may be better (from a
distributed environment standpoint) than it was a half-dozen
years ago, but I'm concerned that the pattern may be cyclic with
new domains providing new challenges and incentives for "trust
those you know already" models.

   john

---

From: Christian Huitema <[email-masked]>
Date: Sun, 22 Sep 2013 17:37:26 +0000

> other products and/or "sell" the users and user base to

It is very true that innovation can only be sustained with a revenue stream. But we could argue that several services have now become pretty much standardized, with very little additional innovation going on. Those services are prime candidates for an open and distributed implementation. I mean, could a WG design a service that provides a stream of personal updates and a store of pictures and is only accessible to my friends? And could providers make some business by selling personal servers, or maybe personal virtual servers? Maybe I am a dreamer, but hey, nothing ever happens if you don't dream of it!

-- Christian Huitema

---

From: Scott Brim <[email-masked]>
Date: Sun, 22 Sep 2013 14:35:44 -0400

I like what Christian said. Also, perhaps we should figure out how to
unbundle services and monetize what we can.
On Sep 22, 2013 1:38 PM, "Christian Huitema" <[email-masked]> wrote:

> It is very true that innovation can only be sustained with a revenue
> stream. But we could argue that several services have now become pretty
> much standardized, with very little additional innovation going on. Those
> services are prime candidates for an open and distributed implementation. I
> mean, could a WG design a service that provides a stream of personal
> updates and a store of pictures and is only accessible to my friends? And
> could providers make some business by selling personal servers, or maybe
> personal virtual servers? Maybe I am a dreamer, but hey, nothing ever
> happens if you don't dream of it!
>
> -- Christian Huitema
>
>
>

---

From: John C Klensin <[email-masked]>
Date: Sun, 22 Sep 2013 15:04:56 -0400

--On Sunday, 22 September, 2013 17:37 +0000 Christian Huitema
<[email-masked]> wrote:

>...
> It is very true that innovation can only be sustained with a
> revenue stream. But we could argue that several services have
> now become pretty much standardized, with very little
> additional innovation going on. Those services are prime
> candidates for an open and distributed implementation. I mean,
> could a WG design a service that provides a stream of personal
> updates and a store of pictures and is only accessible to my
> friends? And could providers make some business by selling
> personal servers, or maybe personal virtual servers? Maybe I
> am a dreamer, but hey, nothing ever happens if you don't dream
> of it!

I agree completely.  However, one could equally well say that
operations can only be sustained with a revenue stream and trust
models among parties that don't already have first-hand
relationships can get a tad complicated.  Setting up a
distributed email environment that supports secure communication
among a small circle of friends (especially
technically-competent ones) is pretty easy, even easier than the
service you posit above.  Things become difficult and start to
encourage centralized behavior when, e.g., (i) the community
allow basic Internet service providers to either prohibit
running "servers" or make it unreasonably expensive, (ii) one
wants the communications to be persistent enough that storage,
backup, and operations becomes a big deal, and/or (iii) one
wants on-net or in-band ways to introduce new parties to the
group when there are Bad Guys out there (which more or less
reinvents the PGP problem).  

Architecturally, one can make a case that the Internet is much
better designed for peer to peer arrangements than for client to
Big Centrally-Controlled Server ones, even though trends in
recent years run in the latter direction (and I still have
trouble telling the fundamental structural differences between a
centralized operation with extensive "web services" and users on
dumb machines on the one hand and the central computer services
operations of my youth on the other).

So, a good idea and one that should be, IMO, pursued.  But there
are a lot of interesting and complex non-technical barriers.

best,
   john

---

From: joel jaeggli <[email-masked]>
Date: Sun, 22 Sep 2013 13:17:05 -0700

On 9/22/13 11:35 AM, Scott Brim wrote:
> On Sep 22, 2013 1:38 PM, "Christian Huitema" <[email-masked]
> <mailto:[email-masked]>> wrote:
> 
>     stream. But we could argue that several services have now become
>     pretty much standardized, with very little additional innovation
>     going on.

There are it most be said enormous economies of scale that are hard to
ignore.

>     Those services are prime candidates for an open and
>     distributed implementation. I mean, could a WG design a service that
>     provides a stream of personal updates and a store of pictures and is
>     only accessible to my friends? And could providers make some
>     business by selling personal servers, or maybe personal virtual
>     servers? Maybe I am a dreamer, but hey, nothing ever happens if you
>     don't dream of it!
> 
>     -- Christian Huitema
> 
>